{% extends 'base.html.twig' %}

{% block title %}Hello CoursController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<!-- Inner page hedaing start -->
<section class="irs-inner-page-heading irs-layer-black">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="irs-inner-heading">
                    <h2>Mes cours </h2>
                    <i class="icofont icofont-education"></i>
                    <p><a href="index-layout1.html">HOME</a> > <a href="#"></a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Inner page hedaing end -->
    {% if is_granted('ROLE_Enseignant') %}

<section class="irs-service-field">
    <div class="container">
        <div class="row">
        {% for matiere in app.user.Matiere%}
            {% for cour in matiere.Cours%}

                <div class="col-md-4 col-sm-4">
                <div class="irs-service-col text-center">
                    <i class="icofont icofont-read-book"></i>
                    <h3>{{cour.nameCours}}</h3>
                    <p> {{cour.matiere}} </p>

                    <form method="post" action=" {{path ('cours.delete' ,{ id: cour.id}) }}"  style="display: inline-block ; float:right">

                        <input type="hidden" name="_method" value="DELETE">
                        <button class="glyphicon glyphicon-trash"></button>

                    </form>



                    <a class="glyphicon glyphicon-zoom-in " href="{{ path ('details',{ id: cour.id}) }}" role="button" style="margin:10px; float:right"></a>

                    <a href="{{ path ('cours.edit',{ id: cour.id}) }}" class="glyphicon glyphicon-pencil " role="button" style="margin: 10px ; float:right"></a>

                </div>
            </div>
            {% endfor %}
        {% endfor %}
        </div>
    </div>
    <a href="{{ path ('Cours.new') }}" class="btn btn-default irs-big-btn" role="button" style="margin-left: 50px">Ajouter nouveau cours</a>

</section>


  {% elseif is_granted('ROLE_Etudiant') %}

      <section class="irs-service-field">
          <div class="container">
              <div class="row">
                  {% for matiere in app.user.classe.matieres%}
                      {% for cour in matiere.Cours%}
                          <div class="col-md-4 col-sm-4">
                              <div class="irs-service-col text-center">
                                  <i class="icofont icofont-read-book"></i>
                                  <h3>{{cour.nameCours}}</h3>
                                  <p> {{cour.matiere}} </p>





                                  <a class="glyphicon glyphicon-zoom-in " href="{{ path ('details',{ id: cour.id}) }}" role="button" style="margin:10px; float:right"></a>



                              </div>
                          </div>
                      {% endfor %}
                  {% endfor %}
              </div>
          </div>


      </section>


    {% endif %}




{% endblock %}
